apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prd
  generation: 1
  labels:
    app: argocd
    app.kubernetes.io/instance: kustomize-argocd
    chart: argocd
    heritage: Kustomize
    release: kustomize-argocd
  name: kustomize-argocd-ingress
  namespace: argocd
spec:
  ingressClassName: traefik
  rules:
  - host: cd.cloudycloud.live
    http:
      paths:
      - backend:
          service:
            name: argocd-server
            port:
              name: http
        path: /
        pathType: Prefix
  tls:
  - hosts:
    - cd.cloudycloud.live
    secretName: kustomize-argocd-ingress